# trgt_magickpp.cpp File Reference

Magick++ Target Module. More...

`#include <ETL/misc>`
`#include "trgt_magickpp.h"`

## Defines

#define | SYNFIG_TARGET

## Functions

| SYNFIG_TARGET_INIT (magickpp_trgt)
| SYNFIG_TARGET_SET_NAME (magickpp_trgt,"magick++")
| SYNFIG_TARGET_SET_EXT (magickpp_trgt,"gif")
| SYNFIG_TARGET_SET_VERSION (magickpp_trgt,"0.1")
| SYNFIG_TARGET_SET_CVS_ID (magickpp_trgt,"$Id$")
template<class Container>
MagickLib::Image * | copy_image_list (Container &container)

## Detailed Description

Magick++ Target Module.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define SYNFIG_TARGET

## Function Documentation

SYNFIG_TARGET_INIT | ( | magickpp_trgt |  | ) |

SYNFIG_TARGET_SET_NAME | ( | magickpp_trgt | ,
|  | "magick++" |  |
| ) |  |  |

SYNFIG_TARGET_SET_EXT | ( | magickpp_trgt | ,
|  | "gif" |  |
| ) |  |  |

SYNFIG_TARGET_SET_VERSION | ( | magickpp_trgt | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_TARGET_SET_CVS_ID | ( | magickpp_trgt | ,
|  | "$Id$" |  |
| ) |  |  |

template<class Container>

MagickLib::Image* copy_image_list | ( | Container & | container | ) | `[inline]`

References synfig::warning().

Referenced by magickpp_trgt::~magickpp_trgt().